#
# spec file for package mc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mc
Summary:        Midnight Commander
License:        GPL-2.0+
Group:          Productivity/File utilities
Url:            http://www.ibiblio.org/mc/
Version:        4.7.5.1
Release:        6.2
Source:         mc-%{version}.tar.lzma
Source1:        x11_browser
Source2:        %{name}.desktop
Source3:        %{name}.png
Patch0:         mc-fix_lib_search_path.patch
Patch6:         mc-apps.patch
Patch7:         mc-palmsupport.patch
Patch8:         mc-word_docs.patch
Patch9:         mc-x11browser.diff
Patch12:        mc-wrapper.patch
Patch16:        mc-esc-seq.patch
Patch17:        mc-rpm.patch
Patch20:        mc-f-keys.patch
#debian fixes for vfs
Patch24:        02_ignore_ftp_chmod_error.patch
#Debian fixes
Patch30:        04_add_gem_extension.patch
Patch31:        09_uzip_broken_528239.patch
Patch32:        20_wrong_path_to_wrappers.patch
# PATCH-FIX-UPSTREAM mc-multi-press-f-keys.patch mc287 sbrabec@suse.cz - Fixed Esc + Numeral F-key emulation.
Patch41:        mc-multi-press-f-keys.patch
# Patches from Fedora
Patch50:        mc-extensions.patch
Patch51:        mc-mcviewsegfault.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  audiofile-devel
BuildRequires:  docbook-toys
BuildRequires:  e2fsprogs-devel
BuildRequires:  fdupes
BuildRequires:  glib2-devel
%if 0%{?suse_version} > 1130
BuildRequires:  gpm-devel
%else
BuildRequires:  gpm
%endif
BuildRequires:  indent
BuildRequires:  jpeg
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  readline-devel
BuildRequires:  recode
BuildRequires:  slang-devel
BuildRequires:  update-desktop-files
BuildRequires:  xdg-utils
BuildRequires:  xorg-x11-devel
BuildRequires:  xz
Requires(pre):  permissions
Recommends:     %{name}-lang = %{version}

%description
Midnight Commander is a Norton Commander clone, a program that
manipulates and manages files and directories. It is useful, fast, and
has color display on the Linux console. It also has mouse support if
you run the gpm mouse server. This program requires the terminal
description files in /usr/lib/terminfo, which are found in ncurses.rpm
(the essential ones) or terminfo.rpm (the rest).

You can also use Midnight Commander under the X Window System with your
mouse. If you enter 'mc -c', colors are used.

In Midnight Commander, the screen is divided into four sections: The
majority of the screen is covered by two directory panels. The second
to last line on the screen is the shell command line. The last line
displays the function key assignments. At the very top, the menu list
is shown. One of the directories displayed is the current working
directory. This is where most of the commands are found. For certain
commands, like copy and move, the second directory is used as the
target directory.


%lang_package
%prep
%setup -q
%patch0
%patch6
%patch7
%patch8
%patch9
%patch12
%patch16
%patch17
%patch20
%patch24
%patch30
%patch31
%patch32
%patch41
%patch50
%patch51

pushd doc/hints
iconv -f iso8859-1 -t utf-8 -o mc.hint.tmp mc.hint && mv mc.hint.tmp mc.hint
iconv -f iso8859-1 -t utf-8 -o mc.hint.es.tmp mc.hint.es && mv mc.hint.es.tmp mc.hint.es
iconv -f iso8859-1 -t utf-8 -o mc.hint.it.tmp mc.hint.it && mv mc.hint.it.tmp mc.hint.it
iconv -f iso8859-1 -t utf-8 -o mc.hint.nl.tmp mc.hint.nl && mv mc.hint.nl.tmp mc.hint.nl
iconv -f iso8859-2 -t utf-8 -o mc.hint.cs.tmp mc.hint.cs && mv mc.hint.cs.tmp mc.hint.cs
iconv -f iso8859-2 -t utf-8 -o mc.hint.hu.tmp mc.hint.hu && mv mc.hint.hu.tmp mc.hint.hu
iconv -f iso8859-2 -t utf-8 -o mc.hint.pl.tmp mc.hint.pl && mv mc.hint.pl.tmp mc.hint.pl
iconv -f iso8859-5 -t utf-8 -o mc.hint.sr.tmp mc.hint.sr && mv mc.hint.sr.tmp mc.hint.sr
iconv -f koi8-r -t utf8 -o mc.hint.ru.tmp mc.hint.ru && mv mc.hint.ru.tmp mc.hint.ru
iconv -f koi8-u -t utf8 -o mc.hint.uk.tmp mc.hint.uk && mv mc.hint.uk.tmp mc.hint.uk
iconv -f big5 -t utf8 -o mc.hint.zh.tmp mc.hint.zh && mv mc.hint.zh.tmp mc.hint.zh
popd
pushd misc
iconv -f iso8859-5 -t utf-8 -o mc.menu.sr.tmp mc.menu.sr && mv mc.menu.sr.tmp mc.menu.sr
popd
# convert docs to utf-8
pushd doc
pushd man
pushd es
iconv -f iso8859-1 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
popd
pushd hu
iconv -f iso8859-2 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
popd
pushd it
iconv -f iso8859-1 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
popd
pushd pl
iconv -f iso8859-2 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
popd
pushd ru
iconv -f koi8-r -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
popd
pushd sr
iconv -f iso8859-5 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f iso8859-5 -t utf-8 -o mcserv.8.in.tmp mcserv.8.in && mv mcserv.8.in.tmp mcserv.8.in
popd # doc/man
popd # doc/
pushd hlp 
pushd es
iconv -f iso8859-1 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd hu
iconv -f iso8859-2 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd it
iconv -f iso8859-1 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd pl
iconv -f iso8859-2 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd ru
iconv -f koi8-r -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd sr
iconv -f iso8859-5 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd # doc/hlp
popd # doc/
popd

%build
autoreconf --force --install
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wformat-security -Wno-unused-parameter
export CFLAGS="$RPM_OPT_FLAGS %{warn_flags}"
%configure \
    --localstatedir=/var/lib \
    --enable-charset \
    --with-samba
make %{?jobs:-j%{jobs}}

%install
make DESTDIR=%{buildroot} install
# clean up this setuid problem for now
chmod 755 %{buildroot}/%{_libexecdir}/mc/cons.saver
# copy Korean mc hint message,
# install -m 0644 %{SOURCE3} %{datadir}/mc/
#install the shell functions for bourne shell and csh
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
ln -fs -t %{buildroot}%{_sysconfdir}/profile.d %{_datadir}/mc/mc.{,c}sh
#support script for calling available GUI webbrosers
install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/mc/
install -D -m 644 %{S:3} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -i %name System FileManager
# Remove not supported language
rm -rf  %{buildroot}%{_datadir}/locale/be@tarask
%{find_lang} %{name}
%fdupes -s %{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%post
%run_permissions

%verifyscript
%verify_permissions -e %{_libexecdir}/mc/cons.saver

%files
%defattr(-, root, root)
%doc ABOUT-NLS COPYING NEWS README
%config %{_sysconfdir}/profile.d/*
%{_bindir}/mc*
%dir %{_sysconfdir}/mc
%config %{_sysconfdir}/mc/filehighlight.ini
%config %{_sysconfdir}/mc/sfs.ini
%config %{_sysconfdir}/mc/mc.menu
%config %{_sysconfdir}/mc/mc.ext
%config %{_sysconfdir}/mc/mc.keymap.emacs
%config %{_sysconfdir}/mc/edit.spell.rc
%config %{_sysconfdir}/mc/cedit.menu
%config %{_sysconfdir}/mc/mc.keymap.default
%config %{_sysconfdir}/mc/mc.keymap
%config %{_sysconfdir}/mc/edit.indent.rc
%dir %{_libexecdir}/mc
%verify(not mode) %{_libexecdir}/mc/cons.saver
%{_mandir}/man1/*
%{_datadir}/mc
%{_datadir}/mc/syntax/Syntax
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_libexecdir}/mc
%exclude %{_datadir}/mc/hints/mc.hint.*
%exclude %{_datadir}/mc/help/mc.hlp.*
%exclude %{_sysconfdir}/mc/mc.menu.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%lang(es) %doc %{_mandir}/es
%lang(hu) %doc %{_mandir}/hu
%lang(it) %doc %{_mandir}/it
%lang(pl) %doc %{_mandir}/pl
%lang(ru) %doc %{_mandir}/ru
%lang(sr) %doc %{_mandir}/sr
%lang(cs) %doc %{_datadir}/mc/*/mc.*.cs
%lang(es) %doc %{_datadir}/mc/*/mc.*.es
%lang(hu) %doc %{_datadir}/mc/*/mc.*.hu
%lang(it) %doc %{_datadir}/mc/*/mc.*.it
%lang(nl) %doc %{_datadir}/mc/*/mc.*.nl
%lang(pl) %doc %{_datadir}/mc/*/mc.*.pl
%lang(sr) %doc %{_datadir}/mc/*/mc.*.sr

%files lang -f %{name}.lang

%changelog
* Wed Mar 23 2011 pcerny@novell.com
- keep english version of help and hints in the main package
  (bnc#681060, bnc#715658)
* Wed Feb  9 2011 vcizek@novell.com
- update to 4.7.5.1
  * numerous changes and enhancements, see
    /usr/share/doc/packages/mc/NEWS
* Wed Dec 29 2010 aj@suse.de
- Delete be@tarask translation.
* Tue Sep 14 2010 pth@suse.de
- Fix wrapper script for sh, change Makefile to substitute
  datadir (bnc#639044).
- Update to 4.7.0.9. Changes since 4.7.0.7:
  * Translation updates.
  * Added Galician translation.
  * Fix potential division by zero in Info panel.
  * Regexp replace only transforms the first occurence correctly.
  * Fix remaining plain int types in VFS.
  * Add "Toggle syntax highlighting" menu item.
  * Fix restoring of signals even if fork() fails.
  * Fix Segfault in replacement confirmation in editor.
* Thu Sep  9 2010 aj@suse.de
- BuildRequire gpm-devel
* Wed Sep  8 2010 pth@novell.com
- Add missing changes entry.
- Update to 4.7.0.7. The changes since 4.6.2 are to numerous to
  list here. Please see the file NEWS in the documentation for
  a complete list.
- Remove unneeded patches.
* Tue Jul 13 2010 pth@suse.de
- Fix pointer <-> int casts.
- Install x11_browser to _datadir/mc.
* Thu Mar 18 2010 prusnak@suse.cz
- little cleanup
* Sun Oct 11 2009 mseben@novell.com
- added mc-mkdir_mc_home.patch - create .mc home dir at startup (bnc#533262)
* Mon Jul 13 2009 coolo@novell.com
- only things that can be split into bundles can go into -lang
- do not require but recommend the -lang package
* Wed May 20 2009 nadvornik@suse.cz
- really apply 05_add_lzma_xz_support.patch
* Wed May  6 2009 nadvornik@suse.cz
- fixed crash in utf-8 patch [bnc#500516]
- allow to specify port number in the shell link [bnc#483249]
* Thu Mar 12 2009 prusnak@suse.cz
- added xz support (05_add_lzma_xz_support.patch)
* Wed Feb 25 2009 sbrabec@suse.cz
- Fixed Esc + Numeral F-key emulation (mc#287).
- Convert Serbian files to UTF-8.
- UTF-8 conversion moved to %%prep.
- Locale specific files moved to -lang package.
* Thu Feb 12 2009 nadvornik@suse.cz
- updated to final 4.6.2:
  * many patches mentioned bellow were included upstream
* Thu Nov 27 2008 nadvornik@suse.cz
- added desktop file [bnc#434809]
* Thu Oct  9 2008 nadvornik@suse.cz
- fixed dynamic loading of X11 library
  [http://savannah.gnu.org/bugs/index.php?24505]
* Tue Sep  9 2008 nadvornik@suse.cz
- added bugfixes from upstream cvs and from debian package for
  * preserve Attributes checkbox [bnc#419832]
  * fish filesystem [bnc#400515]
  * regexp matching
  * lzma support [bnc#400388]
  * other fixes and improvements
- fixed information displayed for rpm files [bnc#410704]
- partialy fixed SHIFT-Fn key behavior [bnc#400552]
* Mon Mar 31 2008 nadvornik@suse.cz
- fixed cursor appearance on visible tabs
* Mon Nov  5 2007 nadvornik@suse.cz
- updated to 4.6.2-pre1
  * improved subshell handling
  * improved fish filesystem
  * a lot of other fixes and enhancements
- updated UTF-8 patches using Fedora package
- added support for weak rpm dependencies in VFS
* Tue Aug 28 2007 nadvornik@suse.cz
- link duplicate files only inside /usr [#304167]
* Sat Aug 11 2007 olh@suse.de
- remove umode_t checks
  use offsetof() in vfs-impl.h
  build parallel
  move iconv updates to build section to fix quilt setup -v *.spec
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Tue Jul 17 2007 nadvornik@suse.cz
- fixed terminal escape sequences parsing (#253401)
* Mon Apr  2 2007 rguenther@suse.de
- add gpm BuildRequires
* Mon Jan 15 2007 nadvornik@suse.cz
- fixed special characters quoting for bash 3.2 [#232411]
* Wed Oct  4 2006 nadvornik@suse.cz
- built with --with-samba [#207643]
- fixed displaying of nlink column in utf8 mode [#194715]
- spec file cleanup [#194392]
* Wed Jun  7 2006 nadvornik@suse.cz
- fixes for Slang2 [#177920, #176327]
* Tue Apr 18 2006 schwab@suse.de
- Revert last change, kernel headers have been fixed.
* Tue Apr 18 2006 nadvornik@suse.cz
- fixed check for umode_t; it fixes compilation on ppc64
* Fri Apr  7 2006 lmichnovic@suse.cz
- adjusted ogg file opening (updated apps.patch)
* Mon Mar 13 2006 nadvornik@suse.cz
- make sure that backgrounded applications do not write
  to terminal [#153178]
- use realplay if available
- recognize .hpp files
* Tue Mar  7 2006 lmichnovic@suse.cz
- fixed bash specific syntax in /etc/profile.d/mc.sh [#155644]
  (updated wrapper.patch)
- changed default application to open images with from xv to display
  (updated apps.patch)
* Thu Feb  9 2006 nadvornik@suse.cz
- fixed switching long panels [143265]
- fixed crash on error in getpwuid
* Tue Feb  7 2006 ro@suse.de
- fix build for < 10.1
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 nadvornik@suse.cz
- used exported bash function in mc wrapper [#127769]
- fixed crash during renaming UTF-8 filenames [#131997]
* Thu Jan 12 2006 nadvornik@suse.cz
- compile with -fstack-protector
* Wed Oct 12 2005 nadvornik@suse.cz
- added patch for slang2
* Wed Aug 10 2005 nadvornik@suse.cz
- added .tbz2 and .djvu extension [fixes #98447]
* Mon Aug  1 2005 nadvornik@suse.cz
- updated to final 4.6.1
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Mar  7 2005 nadvornik@suse.cz
- updated external applications
* Mon Jan 24 2005 meissner@suse.de
- 0 -> NULL in one glib call.
* Fri Jan 21 2005 nadvornik@suse.cz
- updated to 4.6.1-pre3
* Fri Nov 12 2004 ro@suse.de
- correct permissions handling for /usr/lib/mc/cons.saver
* Sat Oct 23 2004 mmj@suse.de
- rename no til nb
* Fri Sep 10 2004 nadvornik@suse.cz
- fixed quoting in extfs script CAN-2004-0494 [#43151]
- fixed show_output_starts_shell option [#44777]
- fixed mcedit crash [#43178]
* Wed Jun 30 2004 nadvornik@suse.cz
- many fixes in UTF8 patches
- fixed freeze on rar archives with password [#41591]
- allow large screen size [#41475]
* Fri Apr 23 2004 nadvornik@suse.cz
- fixed various buffer overflows and temp file handling [#38577]
- fixed crash on broken UTF-8 characters in directory name [#39309]
* Wed Mar 31 2004 nadvornik@suse.cz
- fixed sort options in mc-posix_options.diff
* Wed Mar 31 2004 nadvornik@suse.cz
- do not strip UTF-8 characters from prompt and xterm title [#37542]
* Thu Mar 25 2004 nadvornik@suse.cz
- fixed crash with NULL return from getpwuid [#36867]
* Thu Mar 18 2004 nadvornik@suse.cz
- fixed another crash in slang
* Mon Mar 15 2004 nadvornik@suse.cz
- fixed external applications
* Thu Mar 11 2004 nadvornik@suse.cz
- better fix for the crash is slang
- various fixes in utf8 patch
* Tue Mar  9 2004 nadvornik@suse.cz
- fixed crash if TERM is unset
- fixed viewing files in tar archives
* Mon Mar  8 2004 nadvornik@suse.cz
- fixed forward/backward word functions in utf8 patch
* Fri Mar  5 2004 nadvornik@suse.cz
- fixes in utf8 patches
- do not let XOpenDisplay exit [#31960]
* Mon Mar  1 2004 nadvornik@suse.cz
- added utf8 support in commandline, viewer and editor
* Wed Feb 18 2004 sbrabec@suse.cz
- Added all available UTF-8 patches (mostly from from Jakub Jelinek
  <jakub@redhat.com>).
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Jan  8 2004 pthomas@suse.de
- Fix the handling of symlinks inside tarballs which would lead
  to a segfault with suitably constructed tarballs.
* Fri Aug 29 2003 pthomas@suse.de
- Change extfs commands to use posix conforming options
  for head and sort. (#29657)
* Tue Jul 15 2003 sbrabec@suse.cz
- Autoreconf with GNOME prefix.
* Fri Jun 13 2003 kukuk@suse.de
- Fix filelist
* Fri Apr  4 2003 pthomas@suse.de
- Enable character set conversion by compiling with
  - -enable-charset.
* Wed Feb 26 2003 pthomas@suse.de
- Fix the bug that leads to a segfault when viewing
  files and simplify the range check.
- Get rid of the caddr_t anachronism.
- Use g_try_malloc when using glib2, as g_malloc terminates
  the application when it fails .....
* Mon Feb 17 2003 pthomas@suse.de
- Update to 4.6.0 which officially removes gmc.
- Get rid of now obsolete patches and adapt those that
  still apply.
* Tue Feb  4 2003 pthomas@suse.de
- Only include %%{_libdir}/mc in files on biarch platforms.
* Mon Jan 27 2003 pthomas@suse.de
- Drop gmc sub package.
- Also check for ksh in mc.sh to decide whether or not to use
  'export -f'
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Wed Oct 23 2002 sbrabec@suse.cz
- Fixed dangling symlink for mcview.
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Sep 16 2002 pthomas@suse.de
- Make mc use the system supplied slang library.
* Wed Sep 11 2002 pthomas@suse.de
- Make full eight bits input the default (bug #15721).
- Use the gnome macros supplied with gnome-common.
- Use file type rather then regex to identify Word documents.
- Use wvText instead of word2x for displaying MS Word documents.
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Fri Aug  2 2002 pthomas@suse.de
- Fix building with older versions of ext2fs lib
  (AKA older distributions):
  - Make configure check for presence of ext2_ino_t in ext2fs.h.
  - Use test result in vfs/undelfs.c
* Sat Jul 27 2002 adrian@suse.de
- fix %%pre script and neededforbuild
* Fri May 31 2002 ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Mon Apr  8 2002 ro@suse.de
- run gettextize
* Fri Mar 15 2002 pthomas@suse.de
- Use w3m instead of lynx for html. Fixes #15012
* Thu Feb  7 2002 mmj@suse.de
- ... and then fix a stupid typo in the below fix...
* Thu Feb  7 2002 mmj@suse.de
- Fixed the below thing in a more POSIX compliant way
* Tue Feb  5 2002 mmj@suse.de
- Added missing function to ms.sh
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 okir@suse.de
- fixed various tempfile races (mostly with unpacking/packing
  of compressed files for editing)
* Mon Jan 14 2002 egmont@suselinux.hu
- Removed rpmview patch, no longer needed since 4.5.55.
* Thu Dec  6 2001 pthomas@suse.de
- Include *all* gnome autoconf macros needed to
  rebuild aclocal.m4.
* Fri Nov 30 2001 ro@suse.de
- changed neededforbuild <docbktls> to <docbook-toys>
* Mon Nov 26 2001 pthomas@suse.de
- Update to 4.5.55.
- Enable large file support.
- Gracefully handle the case when file size exceeds what
  g_malloc can handle.
- Don't hard-code the GUI web browser but call a script that
  uses whatever's installed.
- Use ext2_ino_t instead of ino_t.
- Add German hints.
* Thu Oct 18 2001 egmont@suselinux.hu
- F3 on an RPM shows sane output (kind of rpm -qilp) instead of raw
  binary.
* Thu Sep 20 2001 pthomas@suse.de
- Fix handling of RPMs. This isn't a final fix,  but at least
  avoids the error.
* Tue Sep  4 2001 kukuk@suse.de
- Removed smbclnt requires
* Mon Aug 27 2001 kukuk@suse.de
- Removed samba-client, not need any longer
* Mon Aug 27 2001 ro@suse.de
- replaced <smbclnt> by <samba-client> in neededforbuild
* Wed Aug 15 2001 pthomas@suse.de
- Redo declaration fixes.
- Drop samba support, it's dependencies cause too much trouble.
- Reduce compiler warnings.
- Require autoconf 2.53 as this allows use of AC_CHECK_DECLS
- Use AC_CHECK_DECLS to properly control local prototypes.
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Sat Aug 11 2001 schwab@suse.de
- Fix missing declarations *again*.
* Tue Jul 31 2001 cstein@suse.de
- wrote an assembly language syntax highlighting for mcedit
  (Intel syntax)
* Sat Jul  7 2001 egger@suse.de
- Updated to version 4.5.54.
- Had to remove a few patches to make it build.
- Buildproofed on all architectures.
* Wed Jun 27 2001 cstein@suse.de
- Modified mc to include some helpful functions for palm pilot
  users; modifications added as patch 30 (see spec file)
* Mon Jun 11 2001 pthomas@suse.de
- Create missing stamp-h.in that prevented mc to build.
- Don't use --with-gpm-mouse on s390
* Sat May 12 2001 schwab@suse.de
- Fix missing declarations.
* Wed May  9 2001 pthomas@suse.de
- remove samba codepages and require smbclnt.
  Fixes Bug #7924
- compress sources with bzip2
* Tue May  8 2001 pthomas@suse.de
- Include codepages from samba package and modify source to
  search them in /usr/lib/mc/codepages. Fixes bug #7647
* Fri Apr 20 2001 pthomas@suse.de
- Fix call of suse_update_config macro.
- Remove offending multibyte sequence from Korean message
  catalog and reenable building it.
* Wed Apr 18 2001 pthomas@suse.de
- Disable building of the korean message catalog because
  gettext 0.10.36 rejects it.
* Sat Apr  7 2001 schwab@suse.de
- Correct handling of filenames in zoo and zip files.
  Fixes Bug #6846.
- Add %%suse_update_config.
- Fix configure check for off64_t and ino64_t.
* Sat Apr  7 2001 pthomas@suse.de
- Remove regex match for *,[Dd]oc files and just rely on the
  file type check. Add a second file type check as file(1) now
  reports 'Microsoft office document'. Fixes Bug #6861
* Tue Mar 27 2001 ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 pthomas@suse.de
- Compile with samba and ext2 undelete support
- Add esound-devel and e2fsprogs-devel to neededforbuild
- Remove unnecessary checks from samba configure
- Add security fix for subshell
- Add security fix for cons.saver
* Tue Mar 13 2001 ro@suse.de
- added xf86 to neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Feb 25 2001 egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Feb 20 2001 uli@suse.de
- fixed for new glibc
* Tue Jan 30 2001 ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sun Jan 21 2001 violiet@suse.de
- added eightbit-clean.patch to view/edit for Japanese and
  Korean characters.
- added improvement Japanese latest .po from CVS.
- added improvement Korean .po and mc hint message file.
* Fri Dec 15 2000 hhetter@suse.de
- fix for dead link on startup-links, fixing bug id#4700
- changed startup-link URLs
* Tue Nov 21 2000 werner@suse.de
- Add kvt and gnome as valid TERMinals
- Add some newer xterm escape sequences (oldFunctionsKeys)
- console, linux xterm-color, kvt, and gnome are colored TERMinals
* Mon Nov  6 2000 pthomas@suse.de
- Remove version number from spec file name
- Add additional key definitions for mc.lib
- Clean up the spec file a bit.
* Sun Nov  5 2000 kukuk@suse.de
- adjust neededforbuild
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Sep 25 2000 egger@suse.de
- Updated to 4.5.51.
- Buildproofed on i386.
* Tue May 30 2000 baulig@suse.de
- update: 4.5.50.
* Sun May 28 2000 baulig@suse.de
- update: 4.5.49.
- use %%{ver} instead of the direct version number in tarball name.
* Mon Dec 13 1999 ke@suse.de
- update: 4.5.42.
* Thu Nov 18 1999 ke@suse.de
- update: 4.5.41.
- create HTML documentation (add SGML packages to neededfoarbuild...).
- add SuSE startup-link ;)
* Fri Oct 29 1999 ke@suse.de
- fix /etc/opt/gnome vs. /opt/gnome/etc.
* Thu Oct 14 1999 ke@suse.de
- update: 4.5.40.
- add some RH patches.
* Mon Sep 27 1999 bs@suse.de
- fixed requirements for sub packages
* Fri Sep 24 1999 ke@suse.de
- update: version 4.5.39.
* Fri Sep 17 1999 ke@suse.de
- update: version 4.5.38.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 ke@suse.de
- update: version 4.5.37.
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jul 12 1999 ke@suse.de
- update: version 4.5.36.
* Tue Jun  8 1999 kukuk@suse.de
- Add pam to needforbuild
* Sun May 30 1999 ke@suse.de
- update: version 4.5.33.
* Tue Apr 13 1999 ke@suse.de
- update: version 4.5.30 (security fixes - /tmp exploids...).
* Tue Apr  6 1999 ro@suse.de
- only link gmc.gnorba for /etc/opt/gnome/CORBA/servers
* Mon Apr  5 1999 bs@suse.de
- fixed date strings in .changes.
* Mon Apr  5 1999 bs@suse.de
- use absolute links to prevent problems with a symlinked /opt.
* Sun Mar 14 1999 ke@suse.de
- update: version 4.5.25.
* Wed Mar 10 1999 ke@suse.de
- update: version 4.5.24.
* Thu Mar  4 1999 ke@suse.de
- update: version 4.5.23 (bugfix release).
- filelist.
* Sat Feb 27 1999 ke@suse.de
- update: version 4.5.22 (bugfix release).
* Fri Feb 26 1999 ke@suse.de
- update: version 4.5.21 (bugfix release).
- --disable-nls (it makes mc segfault).
- now, the text oriented part of the package (mc.rpm) lives under /usr
  again.
* Wed Feb 17 1999 ke@suse.de
- update: version 4.5.17 (bugfix release).
- use sysconfdir=/etc/opt/gnome.
- #neededforbuild: add esound and audiofil.
* Sun Feb 14 1999 ke@suse.de
- update: version 4.5.14 (bugfix release).
* Thu Feb 11 1999 ke@suse.de
- update: version 4.5.13.
* Sat Feb  6 1999 ro@suse.de
- fixed neededforbuild
* Thu Feb  4 1999 ke@suse.de
- update: version 4.5.10.
- now, there's the subpackage `gmc' containing the GNOME compliant version
  of mc.
- make the package BuildRoot capable.
* Wed Dec  9 1998 ke@suse.de
- update to mc 4.1.36 (bugfix release).
* Thu Sep 24 1998 ke@suse.de
- enable NLS.
- install documentation and COPYING via the %%doc macro.
* Tue Sep 22 1998 ro@suse.de
- update to mc 4.1.35 using diff from jurix mirror
  merged changes to mc.lib from mc-4.1.11-suse and current (+ibmpc3)
* Wed Nov 19 1997 florian@suse.de
- update to mc 4.1.11
* Sun Nov 16 1997 florian@suse.de
- oops, forgot mc.lib-changes from Werner
* Fri Oct 10 1997 florian@suse.de
- update to version 4.1.4
* Sun Jun 22 1997 florian@suse.de
- update to version 4.0
* Wed May 28 1997 werner@suse.de
- new mc.lib added
* Wed Jan 22 1997 florian@suse.de
- enable gpm support
* Thu Jan  2 1997 florian@suse.de
- update to version 3.2.11
* Thu Jan  2 1997 florian@suse.de
- Es wird nicht mehr mit libgpm-Unterstuetzung kompiliert, da slang
  und libgpm sich nicht vertragen. (libgpm laed libncurses, das geht
  mit libslang.a nicht...)
* Thu Jan  2 1997 florian@suse.de
- new version 3.2.7
- for screen output, mc now uses the slang library and not the ncurses functions
  directly
